package com.sifang.modules.monitor.ginlong.dto.addstation;

public class AddStationReq {

    /**
     * 逆变器 SN 填写即可绑定
     */
    private String inverterSn;
    /**
     * 采集器 SN 填写即可绑定
     */
    private String collectorSn;
    /**
     * 电站名称 Y
     */
    private String stationName;
    /**
     * 业主 Id 默认操作账号,N
     */
    private Integer userId;
    /**
     * 手机号 N
     */
    private String mobile;
    /**
     * 装机容量必填(单位 kWp) Y
     */
    private String capacity;
    /**
     * 纬度
     */
    private String latitude;
    /**
     * 经度
     */
    private String longitude;
    /**
     * 倾角 N
     */
    private Double dip;
    /**
     * 方位角 N
     */
    private Double azimuth;
    /**
     * 货币种类 Y
     */
    private String money;
    /**
     * 电站详细地址 Y
     */
    private String addr;
    /**
     * 高德地址代码调高德 API 获取
     */
    private String gdAreaCode;
    /**
     * countryStr
     */
    private String countryStr;
    /**
     * 区域名称
     */
    private String regionStr;
    /**
     * 城市名称
     */
    private String cityStr;
    /**
     * 每度电收益 Y
     */
    private String price;
    /**
     * 时区偏移量 N
     */
    private Integer offset;
    /**
     * 组件数量 N
     */
    private String module;
    /**
     * 安装商邮箱 N
     */
    private String installerEmail;
    /**
     * 安装商电话 N
     */
    private String installerMobile;
    /**
     * nmi 码唯一不可重复
     */
    private String nmiCode;

    public String getInverterSn() {
        return inverterSn;
    }

    public void setInverterSn(String inverterSn) {
        this.inverterSn = inverterSn;
    }

    public String getCollectorSn() {
        return collectorSn;
    }

    public void setCollectorSn(String collectorSn) {
        this.collectorSn = collectorSn;
    }

    public String getStationName() {
        return stationName;
    }

    public void setStationName(String stationName) {
        this.stationName = stationName;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getCapacity() {
        return capacity;
    }

    public void setCapacity(String capacity) {
        this.capacity = capacity;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    public Double getDip() {
        return dip;
    }

    public void setDip(Double dip) {
        this.dip = dip;
    }

    public Double getAzimuth() {
        return azimuth;
    }

    public void setAzimuth(Double azimuth) {
        this.azimuth = azimuth;
    }

    public String getMoney() {
        return money;
    }

    public void setMoney(String money) {
        this.money = money;
    }

    public String getAddr() {
        return addr;
    }

    public void setAddr(String addr) {
        this.addr = addr;
    }

    public String getGdAreaCode() {
        return gdAreaCode;
    }

    public void setGdAreaCode(String gdAreaCode) {
        this.gdAreaCode = gdAreaCode;
    }

    public String getCountryStr() {
        return countryStr;
    }

    public void setCountryStr(String countryStr) {
        this.countryStr = countryStr;
    }

    public String getRegionStr() {
        return regionStr;
    }

    public void setRegionStr(String regionStr) {
        this.regionStr = regionStr;
    }

    public String getCityStr() {
        return cityStr;
    }

    public void setCityStr(String cityStr) {
        this.cityStr = cityStr;
    }

    public String getPrice() {
        return price;
    }

    public void setPrice(String price) {
        this.price = price;
    }

    public Integer getOffset() {
        return offset;
    }

    public void setOffset(Integer offset) {
        this.offset = offset;
    }

    public String getModule() {
        return module;
    }

    public void setModule(String module) {
        this.module = module;
    }

    public String getInstallerEmail() {
        return installerEmail;
    }

    public void setInstallerEmail(String installerEmail) {
        this.installerEmail = installerEmail;
    }

    public String getInstallerMobile() {
        return installerMobile;
    }

    public void setInstallerMobile(String installerMobile) {
        this.installerMobile = installerMobile;
    }

    public String getNmiCode() {
        return nmiCode;
    }

    public void setNmiCode(String nmiCode) {
        this.nmiCode = nmiCode;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }
}
